SHELL=/bin/sh

# makefile for EDAC, MSC, and MUFPOT programs and modules
#
# see the top-level makefile for additional information.

.PHONY: all clean edac loess msc mufpot

EDAC_DIR = edac
MSC_DIR = msc
MUFPOT_DIR = mufpot
LOESS_DIR = loess

all: edac loess

edac:
	$(MAKE) -C $(EDAC_DIR)

loess:
	$(MAKE) -C $(LOESS_DIR)

msc:
	$(MAKE) -C $(MSC_DIR)

mufpot:
	$(MAKE) -C $(MUFPOT_DIR)

clean:
	$(MAKE) -C $(EDAC_DIR) clean
	$(MAKE) -C $(LOESS_DIR) clean
	$(MAKE) -C $(MSC_DIR) clean
	$(MAKE) -C $(MUFPOT_DIR) clean
	rm -f *.pyc
